--
-- ### Pattern match with special signs  
-- 

drop if exists table t1;
create table t1 ( a int, b string(50));

insert into t1 values ( 1, 'This string with special . % $ signs');

-- % has to be escaped with \\
select * from t1 where b like '%\\%_$_s%';
select * from t1 where b like '% $ %';
select * from t1 where b like '% . %';



